
class  CTimeDataFactory : public IClassFactory
{
    protected:
        ULONG           m_RefCount;
          

    public:
        CTimeDataFactory(void);
        ~CTimeDataFactory(void);

        //IUnknown members
        STDMETHODIMP         QueryInterface(REFIID, LPVOID*);
        STDMETHODIMP_(ULONG) AddRef(void);
        STDMETHODIMP_(ULONG) Release(void);

        //IClassFactory members
        STDMETHODIMP         CreateInstance(LPUNKNOWN, REFIID, LPVOID*);
        STDMETHODIMP         LockServer(BOOL);
    };

